MetalCheckBoxIcon (Java SE 10 & JDK 10 )
Keywords: javax.swing.plaf.metal.MetalCheckBoxIcon class

Module java.desktop
Package javax.swing.plaf.metal

## Class MetalCheckBoxIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalCheckBoxIcon

- All Implemented Interfaces:
    `Serializable`, `Icon`, `UIResource`

      public class MetalCheckBoxIcon
      extends Object
      implements Icon, UIResource, Serializable

  CheckboxIcon implementation for OrganicCheckBoxUI

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetalCheckBoxIcon()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `drawCheck​(Component c, Graphics g, int x, int y)` | Paints `MetalCheckBoxIcon`.
    `protected int` | `getControlSize()` | Returns the size of the control.

    - ### Methods declared in interface javax.swing.Icon

      `getIconHeight, getIconWidth, paintIcon`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetalCheckBoxIcon

          public MetalCheckBoxIcon()

  - ### Method Detail

    - #### getControlSize

          protected int getControlSize()

      Returns the size of the control.
      Returns:
        the size of the control

    - #### drawCheck

          protected void drawCheck​(Component c,
                                   Graphics g,
                                   int x,
                                   int y)

      Paints `MetalCheckBoxIcon`.
      Parameters:
        `c` - a component
        `g` - an instance of `Graphics`
        `x` - an X coordinate
        `y` - an Y coordinate